/* epic grandeur
by fable.nu */

:root {
    --background:#fff;
    --text: #000;
    --borders:#eee
}

*:not(ul,ol,li) {margin:0;padding:0;box-sizing: border-box;}
p {margin:1rem 0}
html{font-size: 14px}
body {font: 1rem 'Karla', sans-serif;color:var(--text);background:var(--background);   text-align: justify;}
a {text-decoration: none;color:#111;}
a:hover {color:lightblue;}
i {font-weight: 600; color: lightblue;}
b {font-weight: 600; color: #999;}
hr {border:0;border-top:1px solid var(--borders);margin:auto;width: 100%;}

::-webkit-scrollbar-thumb:vertical {border-left:2px solid var(--links);}
::-webkit-scrollbar {width:6px;height:0;}
::-webkit-scrollbar-track-piece{margin:5px 0;}

h1,h2,h3,h4,h5,h6 {
    font-family: 'Lora', serif;
    font-weight: 500;
}

/* containers */

#container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
line-height: 22px;
}

main {
    max-width: 50rem;
    width: 90vw;
}

/* title and navigation links */

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border:1px solid #eee;
    border-left:0;
    border-right:0;
    padding:1.7rem  2rem ;
}

header h2 {
    font-weight: 400;
    letter-spacing: .06rem ;
    font-size: 1.3rem;
}

header h2 a {color:var(--text)}

#tab-navigation ul{
    display: flex;
    margin:0;padding:0;list-style: none; 
}

#tab-navigation li{
    font-weight: 600;
    margin:0 1rem;
    cursor: pointer;
}

#tab-navigation li:hover {font-color: #111;}

#tab-navigation li.active {font-color: #111;}

/* tabs */

#tab-container {
    display: flex;
    flex-direction: row;
    height: 30rem;
}

.tabcontent {
    display: none;
    height: 30rem;
    overflow: auto;
    width: 50%;
    padding: 2rem;
    animation: fadeEffect 1s;}
@keyframes fadeEffect {from {opacity: 0;} to {opacity: 1;}}

.tabcontent h2 {margin-bottom: 2rem;}

/* tab image */

.home-image{    
    height: 30rem;
    display: block;
    object-fit: cover;
}

figure.home-image {width: 50%;}

/* about tab */

#home { padding: 0;}

#blog-title {
    font-size: 1.5rem;
    text-align: left;
    margin:2rem;
}

#details ul{margin:0;padding:0;list-style: none;}

#details li {
    padding: 1rem 1.3rem;
    border-top:1px solid var(--borders);
}

#details li:last-of-type {border-bottom:1px solid var(--borders);}

#details a {color: #3d3d3d;}

#about-text {padding:2rem}





/* MEDIA */

@media only screen and (min-height:0px) and (max-height:420px) {

    #container {
        display: block;
        width: 100%;
        height: 100%;
        margin: 3rem 0;
    }   

    main {
        margin: auto;
    }
}
